ParamTaskDataInstance (CMDB Model API)
Keywords: com.collation.platform.model.provision.workflow.ParamTaskDataInstance interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.workflow
Interface ParamTaskDataInstance

All Superinterfaces:
  ModelObject, ParamTaskData, java.io.Serializable, TaskData

    public interface ParamTaskDataInstance

extends ParamTaskData

Persistable:
  true

Method Summary
`Guid` | `getObjectId()`
`boolean` | `hasObjectId()`
`void` | `setObjectId(Guid id)`

Methods inherited from interface com.collation.platform.model.provision.workflow.ParamTaskData
`getApplicationName, getModuleName, getPackageName, getParameterName, hasApplicationName, hasModuleName, hasPackageName, hasParameterName, setApplicationName, setModuleName, setPackageName, setParameterName`

Methods inherited from interface com.collation.platform.model.workflow.TaskData
`getParent, hasParent, setParent`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getObjectId

    Guid getObjectId()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObjectId

    void setObjectId(Guid id)

### hasObjectId

    boolean hasObjectId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD